#include <stdio.h>
#include <unistd.h>
#include <ipc/ipc.h>
#include "../tester.h"


char * test_debug1(bool quiet)
{
	int taskid;
	int rc;
	int phoneid;
	int i;

	printf("running debug1 test\n");
	taskid = 12;
	printf("ipc_connect_task(%d)...\n", taskid);
	rc = ipc_connect_task(taskid);
	printf("-> %d\n", rc);
	phoneid = rc;

	printf("send IPC_M_DEBUG_BEGIN message\n");
	rc = ipc_call_sync_0_0(phoneid, IPC_M_DEBUG_BEGIN);
	printf("-> %d\n", rc);

	while (1) {
		printf("send IPC_M_DEBUG_GO message\n");
		rc = ipc_call_sync_0_0(phoneid, IPC_M_DEBUG_GO);
		printf("-> %d\n", rc);
	}

	printf("done\n");
	return NULL;
}
